Subject: Re: linux-next: manual merge of the staging tree with the staging.current tree

From: Greg KH <[email-masked]>
Date: Wed, 25 Feb 2026 07:06:38 -0800

On Wed, Feb 25, 2026 at 03:04:18PM +0000, Mark Brown wrote:
> Hi all,
> 
> Today's linux-next merge of the staging tree got a conflict in:
> 
>   drivers/staging/rtl8723bs/core/rtw_ieee80211.c
> 
> between commit:
> 
>   f0109b9d3e1e4 ("staging: rtl8723bs: properly validate the data in rtw_get_ie_ex()")
> 
> from the staging.current tree and commit:
> 
>   0c9d1b56f9af0 ("staging: rtl8723bs: fix spaces around binary operators")
> 
> from the staging tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Sorry about this, I knew it would happen, I should have warned you.
I'll take your fixup when the -linus branch gets to Linus and I merge
that into this branch.  Or I guess I could just do it now to save any
future issues, let me go do that...

thanks,

greg k-h